---
lang: en
title: 'API docs: socketio.defaultsocketiosequence'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.defaultsocketiosequence.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [DefaultSocketIoSequence](./socketio.defaultsocketiosequence.md)

## DefaultSocketIoSequence class

<b>Signature:</b>

```typescript
export declare class DefaultSocketIoSequence implements SocketIoSequence 
```
<b>Implements:</b> [SocketIoSequence](./socketio.socketiosequence.md)

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(context, controller, invoke, send, reject)](./socketio.defaultsocketiosequence._constructor_.md) |  | Constructs a new instance of the <code>DefaultSocketIoSequence</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [context](./socketio.defaultsocketiosequence.context.md) |  | [Context](./context.context.md) |  |
|  [controller](./socketio.defaultsocketiosequence.controller.md) |  | [ControllerClass](./core.controllerclass.md) |  |
|  [invoke](./socketio.defaultsocketiosequence.invoke.md) |  | [SocketIoInvokeMethod](./socketio.socketioinvokemethod.md) |  |
|  [reject](./socketio.defaultsocketiosequence.reject.md) |  | [SocketIoRejectMethod](./socketio.socketiorejectmethod.md) |  |
|  [send](./socketio.defaultsocketiosequence.send.md) |  | [SocketIoSendMethod](./socketio.socketiosendmethod.md) |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [handle(methodName, args, done)](./socketio.defaultsocketiosequence.handle.md) |  |  |


